package com.steerinfo.pretrack.pretrackscale.service;

import com.steerinfo.framework.controller.RESTfulResult;
import com.steerinfo.framework.service.IBaseService;
import com.steerinfo.framework.service.pagehelper.PageList;
import com.steerinfo.pretrack.pretrackscale.model.PreTrackScale;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * PreTrackScale服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2020-10-20 09:26
 * 类描述
 * 修订历史：
 * 日期：2020-10-20
 * 作者：generator
 * 参考：
 * 描述：PreTrackScale服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IPreTrackScaleService extends IBaseService<PreTrackScale, String>{

    List<PreTrackScale> selectlist(String carNo);
    PageList<PreTrackScale> likeByDesc(Map<String, Object> var1, Integer var2, Integer var3);
    PageList<PreTrackScale> likeByList(Map<String, Object> var1, Integer var2, Integer var3);
    PageList<PreTrackScale> webLikeByDesc(Map<String, Object> var1, Integer var2, Integer var3);
    List<PreTrackScale> noPageDesc(Map<String, Object> params);

    List<PreTrackScale> selectByCarNo(String carNo, String valueFlag);

    List<PreTrackScale> selectByCar(String carNo);

    List<PreTrackScale> selectView(HashMap param);

    PreTrackScale checkandadd(PreTrackScale model);

    PreTrackScale checkandupdate(PreTrackScale model);

    int abolish(List<PreTrackScale> models);

    int recover(List<PreTrackScale> models);

    int combined(List<PreTrackScale> models);

    int remove(List<PreTrackScale> models);

    RESTfulResult doQueryWf(HashMap parmas);

    int addList(List<PreTrackScale> models) throws Exception;

    //新增非计量预报
    PreTrackScale checkandaddNotMetter(PreTrackScale scale);

    int setPreIndex(PreTrackScale scale);
    //汽车衡新一次补录界面的委托显示
    List<PreTrackScale> selectInUseAndNoUse(HashMap<String, Object> model);

    //根据委托编号查询委托信息，委托编号参数和查询的委托信息为空返回空
    PageList<PreTrackScale> findCarScale(HashMap model);
}